Bug 1018811 - Use Community BOM for Riftsaw
Use Community BOM for Riftsaw
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: BPEL Integration (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: Gary Brown
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-14 08:55 EDT by Nick Cross
Modified: 2015-08-02 19:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RIFTSAW-543 Major Resolved Move to community integration BOM 2013-12-18 08:37:55 EST

  None (edit)
Description Nick Cross 2013-10-14 08:55:52 EDT
Riftsaw should import dependencies from the community bom (https://github.com/jboss-integration/jboss-integration-platform-bom/)
Comment 2 Gary Brown 2013-11-06 10:56:06 EST
Have moved bpaf-explorer, riftsaw-ode and riftsaw repos over to use the community bom.

However when trying bpm-console, just adding the jboss-as-parent and importing the integration bom, caused the GWT compilation phase to blow up without any helpful information.

As the bpm-console uses (depends upon) old versions of GWT and Errai, these would not be aligned with the bom anyway. The console will also be re-written for 6.1 aswell.

So after discussion with Nick, we have agreed that we bpm-console will not use the community bom.
Comment 3 JBoss JIRA Server 2013-11-06 11:04:34 EST
Gary Brown <gary@brownuk.com> updated the status of jira RIFTSAW-543 to Resolved
Comment 4 Jiri Sedlacek 2013-12-18 08:37:44 EST
verified in ER7

Note You need to log in before you can comment on or make changes to this bug.